# Generated by Django 4.0.10 on 2023-06-09 14:06

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utils', '0003_testmodel_uniqueshortid'),
        ('artefacts', '0018_artefact_composed_object_artefact_parent'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExistingCollection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('record_id', models.CharField(blank=True, max_length=225, null=True, verbose_name='record id')),
                ('inventory_number', models.CharField(blank=True, max_length=225, null=True, verbose_name='inventory number')),
                ('name', models.CharField(blank=True, max_length=225, null=True, verbose_name='designation')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('additional_info', models.JSONField(blank=True, null=True, verbose_name='additional information')),
                ('timestamp_import', models.DateTimeField(auto_now_add=True, verbose_name='timestamp import')),
                ('artefact_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.artefacttype', verbose_name='type')),
                ('hazard', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='utils.hazard', verbose_name='hazard')),
                ('priority', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.prioritylevel', verbose_name='level of priority')),
                ('user_import', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='user import')),
            ],
        ),
        migrations.AddField(
            model_name='artefact',
            name='existing_collection',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='artefacts.existingcollection', verbose_name='existing collection'),
        ),
    ]
